Elegir objetos de una capa

Dudas y consultas sobre CAD. AutoCAD, Microstation y resto de aplicaciones CAD
Responder
Avatar de Usuario
Tronius
Jefe
Mensajes: 454
Registrado: Dom Jun 18, 2006 11:50 pm
Ubicación: En mi cabeza
Contactar:

Elegir objetos de una capa

Mensaje por Tronius »

Estaba pensando y no recuerdo como elegir todos los objetos de una capa sin tener que aislar la capa ni nada, simplemente dándole a una orden, clicando encima de un objeto que esté en esa capa y entonces se seleccionan todos los demás que estén en esa misma capa.

Recuerdo que en un express del 2002 había algo así, pero en el 2007 no encuentro la orden.

Saludos

PD: vaya como estoy con los problemas, jejeje
[img]http://i60.photobucket.com/albums/h21/Tronius/Firmas/delineante.jpg[/img]
[img]http://i60.photobucket.com/albums/h21/Tronius/Firmas/videogamesfan.jpg[/img]

Plannerly ™ La plataforma de gestión BIM ™ SmartLeanBIM® © 2021
Plantillas para crear el Plan de Ejecución BIM (BEP). Cumplimiento de la norma ISO-19650
Plan gratuito en el que puedes acceder a todas las plantillas y si al comprarlo introduces el código DELINEACION obtendrás un 10% de descuento
Avatar de Usuario
Paco Fernandez
Moderador
Moderador
Mensajes: 1018
Registrado: Jue Jul 06, 2006 11:30 am
Ubicación: BADAJOZ
Contactar:

Mensaje por Paco Fernandez »

HOLA Tronius, yo las express no las tengo aun, pero en el menu superior entra en herramientas y usa la orden SELECCION RAPIDA.
No es como tu dices pero te puede servir de momento.
Un saludo
Afga
Jefe
Mensajes: 886
Registrado: Lun Sep 04, 2006 4:10 pm
Contactar:

Mensaje por Afga »

La orden layiso de las express te aisla todos las entidades existentes en el dibujo que estén en la misma capa, mediante la desiganción de un objeto.

A ver si es lo que estabas buscando.

O sino la orden _laywalk, también de las express.

Saludos
Avatar de Usuario
Tronius
Jefe
Mensajes: 454
Registrado: Dom Jun 18, 2006 11:50 pm
Ubicación: En mi cabeza
Contactar:

Mensaje por Tronius »

Si esas ordenes las uso, pero lo que quería es poder elegir todo sin tener que aislar.

Por ejemplo me sirve para poder "ordenar" los objetos de esa capa poniéndolos encima de los demás.

Por cierto en el 2007 ya no está en las Express, forma parte del autocad, la barra "capas 2".

La orden FS (fast select) de las expres no me sirve ya que elige los objetos que estén en contacto con lo que yo selecciono.

No encuentro nada más por ahora.
[img]http://i60.photobucket.com/albums/h21/Tronius/Firmas/delineante.jpg[/img]
[img]http://i60.photobucket.com/albums/h21/Tronius/Firmas/videogamesfan.jpg[/img]
Afga
Jefe
Mensajes: 886
Registrado: Lun Sep 04, 2006 4:10 pm
Contactar:

Mensaje por Afga »

Algo muy sencillito que hace el caso que comentas de poner delante los objetos de la capa designada (no tiene control de errores, pero funciona).

Código: Seleccionar todo

(defun c:cf (/ sset tset)
(setq sset (cdr (assoc 8 (entget (car (entsel))))))
(setq tset (ssget "x" (list (cons 8 sset))))
(vl-cmdf "_draworder" tset "" "_f")
) ;_end defun cf
Saludos
Awe
Técnico
Mensajes: 112
Registrado: Lun Nov 12, 2007 11:32 am
Contactar:

Mensaje por Awe »

yo lo hago con seleccion rapida y la serie de filtros que necesite, solo una capa, color.... lo que vayas necesitando
CaOs
En prácticas
Mensajes: 9
Registrado: Jue Sep 20, 2007 10:44 am
Contactar:

Mensaje por CaOs »

Hola Tronius.
Encontre esta pequeña rutina que diciéndole la capa que quieres te selecciona todos los objetos de dicha capa. Espero que te sirva

;;; Comando "mostrar_cap" para mostrar
;;; con grips una capa indicando el nombre
;;;--------------------------------------------------------------
(princ "\n........(c)VICTOR ADOLFO BRACAMONTE-PREXEM-2007")
(princ "\n........comando: mostrar_cap........cargado")
(defun c:mostrar_cap ( / nombre_capa seleccion )
(setq nombre_capa (getstring "\ndar nombre de capa a mostrar:"))
(setq seleccion (ssget "_X" (list (cons 8 nombre_capa))))
(sssetfirst nil seleccion);activa visualizacion de grips
(princ "\n**************************************************")
(princ "\n ****deseleccionar con tecla [ESCAPE]****........")
(princ "\n**************************************************")
(princ)
);fin mostrar_cap
Avatar de Usuario
Faber
Administrador
Administrador
Mensajes: 3006
Registrado: Mié Nov 09, 2005 12:10 am
Ubicación: Irlanda
Contactar:

Re: Elegir objetos de una capa

Mensaje por Faber »

Video del maestro Javi Lapina sobre Selección rápida de entidades por propiedad con múltiples filtros


https://youtu.be/TvCYi-I2qsQ
si algo puede salir bien, saldrá bien
Responder

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 2 invitados